#' pcaExplorer: analyzing time-lapse microscopy imaging, from detection to tracking
#'
#' pcaExplorer provides functionality for interactive visualization of RNA-seq datasets
#' based on Principal Components Analysis. The methods provided allow for quick information
#' extraction and effective data exploration. A Shiny application encapsulates the whole analysis.
#'
#' pcaExplorer provides functionality for interactive visualization of RNA-seq datasets
#' based on Principal Components Analysis. The methods provided allow for quick information
#' extraction and effective data exploration. A Shiny application encapsulates the whole analysis.
#'
#' @import DESeq2
#' @import SummarizedExperiment
#' @importFrom GenomicRanges GRanges
#' @importFrom IRanges IRanges
#' @importFrom S4Vectors DataFrame
#' @importFrom genefilter rowVars
#' @import d3heatmap
#' @importFrom scales brewer_pal hue_pal
#' @importFrom NMF aheatmap
#' @import plyr
#' @importFrom limma goana topGO
#' @importFrom AnnotationDbi select Term mapIds
#' @importMethodsFrom GOstats hyperGTest summary
#' @import GO.db
#' @import shiny
#' @import shinydashboard
#' @importFrom shinyBS bsTooltip
#' @import ggplot2
#' @import ggrepel
#' @importFrom DT datatable
#' @import shinyAce
#' @import threejs
#' @import biomaRt
#' @importFrom pheatmap pheatmap
#' @importFrom base64enc dataURI
#' @importFrom tidyr gather
#' @import knitr
#' @import rmarkdown
#' @importFrom grDevices dev.off pdf rainbow colorRamp rgb
#' @import methods
#'
#' @author
#' Federico Marini \email{marinif@@uni-mainz.de}, 2016
#'
#' Maintainer: Federico Marini \email{marinif@@uni-mainz.de}
#' @name pcaExplorer-pkg
#' @docType package
NULL

.onAttach <- function(libname, pkgname) {
  pkgVersion <- packageDescription("pcaExplorer", fields="Version")
  msg <- paste0("Welcome to pcaExplorer v", pkgVersion, "\n\n")
  citation <- paste0("If you use pcaExplorer in your work, please cite:\n\n",
                     "Federico Marini, Harald Binder\n",
                     "pcaExplorer: an R/Bioconductor package for interacting with RNA-seq principal components\n",
                     "biorXiv, 2018 - https://doi.org/10.1101/493551\n")
  packageStartupMessage(paste0(msg, citation))
}
